
QGIS Application - Bug report #20457

Autogenerate fid in Geopackage doesn´t update

2018-11-11 08:09 PM - Lene Fischer

Status: Open

Priority: Normal

Assignee:

Category: Editing

Affected QGIS version:3.4.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28277

Description

Having two geopackage layers from different databases. Total same tabel strucure.

Select and copy features in layer one.

Paste and save in layer two.

Some of the pasted features keeps the 'fid' and others get 'autogenerate'

Trying to save gives an error because of duplicate 'fid'

The workarround is to update the selected 'fid' to ''

See attached image

History

#1 - 2018-11-12 01:35 PM - Giovanni Manghi

- Status changed from Open to Feedback

Did it works as expected on 2.18?

#2 - 2018-11-12 01:43 PM - Lene Fischer

In 2.18 all the fields keeps the original 'fid' and saving is not possible - just tried.

In 3.4.1 som gets the 'autogenerate' and some 'fid'

#3 - 2018-11-12 02:36 PM - Giovanni Manghi

- Operating System deleted (Windows 7)

- Status changed from Feedback to Open

- Category changed from Attribute table to Editing
